felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Walker <r...@ascert.com>
Subject Do we have a JDK rev policy ?
Date Wed, 15 Oct 2008 05:41:15 GMT
Noticed that when trying to build under 1.4, I got the following compile 

     symbol  : method signum (long)
     location: class java.lang.Math

I think this method is from 1.5 onwards

Just wondering if we have a "JDK level" policy in terms of what Felix 
and bundles should be buildable/runnable against.

I know 1.4 is quite old, but we still try and keep compatibility to it. 
I think for the above case we'll be fine in fact, since it occurs in DM 
- which we don't currently use. We're also debating mandating a later 
JDK version for our App too - so again, it may not be an issue.

Just thought I'd query if we have an official policy on Felix.

-- R

Ascert - Taking systems to the Edge
+44 (0)20 7488 3470

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message